// Points.cpp: implementation of the CPoints class.
//
//////////////////////////////////////////////////////////////////////

#include "stdafx.h"
#include "EtchASketch.h"
#include "Points.h"

#ifdef _DEBUG
#undef THIS_FILE
static char THIS_FILE[]=__FILE__;
#define new DEBUG_NEW
#endif

//////////////////////////////////////////////////////////////////////
// Construction/Destruction
//////////////////////////////////////////////////////////////////////

#define MAXPOINTS 15

CPoints::CPoints()
{
	pArray = new CPoint[MAXPOINTS];
	iPointNum = 0;
	iCurrLoc = 0;
}

CPoints::~CPoints()
{
	delete pArray;
}


int CPoints::getMaxPoints() {
	return MAXPOINTS;
}

BOOL CPoints::addPoint(CPoint pNewPoint) {
	
	//Check that we haven't reached the end of the array
	if(iPointNum == MAXPOINTS-1) return FALSE;

	//Set the point, raise the counter
	pArray[iPointNum] = pNewPoint;
	iPointNum++;

	return TRUE;
	
}

CPoint CPoints::getNextPoint() {

	if(iCurrLoc == iPointNum)
		return pArray[iCurrLoc-1];

	CPoint p = pArray[iCurrLoc];
	iCurrLoc++;

	return p;
}

CPoint CPoints::getThisPoint() {

	if(iCurrLoc == 0) return pArray[iCurrLoc];

	CPoint p = pArray[iCurrLoc-1];

	return p;
}


void CPoints::resetLocation() {

	iCurrLoc = 0;
	return;
}

int CPoints::getNumPoints() {

	return iPointNum;
}