// SerialPort.h: interface for the CSerialPort class.
//
//////////////////////////////////////////////////////////////////////

#if !defined(AFX_SERIALPORT_H__B8A131B0_EFAD_11D2_A607_0000C03B07BB__INCLUDED_)
#define AFX_SERIALPORT_H__B8A131B0_EFAD_11D2_A607_0000C03B07BB__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

class CSerialPort  
{
public:
	CSerialPort();
	virtual ~CSerialPort();

	BOOL SendToPort(byte* sArray, int iSize);
	BOOL ReadFromPort(byte* sArray, int iSize);


	friend UINT PortInThread(LPVOID lpv);
	friend UINT PortOutThread(LPVOID lpv);

private:
	
	//Values used to set the out thread
	byte *bSend;	//String to send
	int  iSizeOut;	//Size of the string to send

	//Values used to set the in thread
	byte *bRead;
	int  iSizeIn;

private:
	HANDLE h;	/*The actual handler for the port*/
	DCB	   dcb;
	CWinThread*  inThread;
	CWinThread*  outThread;

};

	//Threads that are called by this program




#endif // !defined(AFX_SERIALPORT_H__B8A131B0_EFAD_11D2_A607_0000C03B07BB__INCLUDED_)
