// Points.h: interface for the CPoints class.
//
// This class will hold 1000 (or as defined) points
// in an array. This is not a dynamically allocated
// class tho' so be careful not to get past the value

//////////////////////////////////////////////////////////////////////

#if !defined(AFX_POINTS_H__352E0A70_ED57_11D2_B284_0000C03B07BB__INCLUDED_)
#define AFX_POINTS_H__352E0A70_ED57_11D2_B284_0000C03B07BB__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000


class CPoints  
{
public:
	CPoints();
	virtual ~CPoints();

	//Get the maximum possible number of points
	int getMaxPoints();

	//Add a point to the end of the list
	BOOL addPoint(CPoint pNewPoint);

	//Get the next point in the list
	CPoint getNextPoint();
	//Get the current point in the list
	CPoint getThisPoint();

	//Go to the first point in the list
	void resetLocation();

	//get the number of points initialized up to now
	int getNumPoints();

private:
	int iPointNum;
	int iCurrLoc;
	CPoint *pArray;
	

};

#endif // !defined(AFX_POINTS_H__352E0A70_ED57_11D2_B284_0000C03B07BB__INCLUDED_)
